import { LinkedBundle } from '@devvit/protos';
import { createContext } from '@lit-labs/context';
export const penCtx = {
    /** Allow loading and saving from LocalStorage. */
    allowStorage: createContext('play-pen-allow-storage'),
    /**
     * Allow loading and saving from URL hash. Loading from hash has precedence
     * over LocalStorage.
     */
    allowURL: createContext('play-pen-allow-url'),
    /** Program executable. */
    bundle: createContext('play-pen-bundle'),
    env: createContext('play-pen-env'),
    /** Program title. */
    name: createContext('play-pen-name'),
    /** Execution color scheme. */
    scheme: createContext('play-pen-scheme'),
    /** Program source code. Undefined when not restored. */
    src: createContext('play-pen-src'),
    /** Program source code reset state. */
    template: createContext('play-pen-template')
};
